<app-usernavbar (onchangeLang)="changeLang($event)"></app-usernavbar>
<div class="wave"></div>

<div class="overlay" [hidden]="!loading">
  <svg class="spinner" width="65px" height="65px" viewBox="0 0 66 66" xmlns="http://www.w3.org/2000/svg">
    <circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle>
  </svg>
</div>

<div class="container mt-6 mb-4">
  <div class="row">
    <div class="col-xl-12">
      <div class="card bg-secondary shadow all-round" style="overflow: visible;">
        <div class="card-header bg-white border-0 top-round">
          <div class="row align-items-center">
            <div class="col-12">
              <div class="don-menu">
                <button class="btn blur-don" [routerLink]="['/FaireDon']">{{ "faireUnDon.don" | translate }}</button>
                <button class="btn focus-don" [routerLink]="['/DonArgent']">{{ "DonAgent.titre" | translate }}</button>
              </div>
              <h3 class="mt-4">{{ "faireUnDon.titre" | translate }} {{ "DonAgent.argent" | translate }}</h3>
              
            </div>
          </div>
        </div>
        <div class="card-body">
          <p>
            {{ "DonAgent.text" | translate }} <br />
          </p>
          <form #f="ngForm" [formGroup]="userForm" (ngSubmit)="onSubmit(f)">
            <div class="container-fluid">
              <div class="row">
                <div class="col-md-4 col-sm-12">
                  <mat-form-field>
                    <mat-label>Nom:</mat-label>
                    <input matInput placeholder="votre nom" type="text" formControlName="nomFormControl"
                      [(ngModel)]="donneur.nom" required  />
                    <mat-error> Nom is <strong>required</strong> </mat-error>
                  </mat-form-field>
                  <br />

                  <mat-form-field>
                    <mat-label>prenom:</mat-label>
                    <input matInput placeholder="votre prenom" type="text" [(ngModel)]="donneur.prenom" name="prenom"
                      formControlName="prenomFormControl" required  />
                    <mat-error> prenom is <strong>required</strong> </mat-error>
                  </mat-form-field>
                  <br />

                  <mat-form-field>
                    <mat-label>Email</mat-label>
                    <input matInput [(ngModel)]="donneur.email" placeholder="Ex. pat@example.com" required
                      formControlName="emailFormControl"  />
                    <mat-error *ngIf="userForm.controls['emailFormControl'].errors?.email  &&
              userForm.controls['emailFormControl'].touched">
                      Please enter a valid email address
                    </mat-error>
                    <mat-error *ngIf="userForm.controls['emailFormControl'].errors?.required &&
              userForm.controls['emailFormControl'].touched">
                      Email is <strong>required</strong>
                    </mat-error>
                  </mat-form-field>
                  <br />

                  <mat-form-field>
                    <mat-label>Raison sociale:</mat-label>
                    <input matInput placeholder="le Raison sociale" [(ngModel)]="donneur.raisonsociale"
                      name="raisonsociale" required formControlName="raisonsocialeFormControl"
                       />
                    <mat-error> Raison sociale is <strong>required</strong> </mat-error>
                  </mat-form-field>
                  <br />
                </div>

                <div class="col-md-4 col-sm-12">
                  <mat-form-field>
                    <mat-label>Identifiant:</mat-label>
                    <input matInput placeholder="l'identifiant'" [(ngModel)]="donneur.identifiant" name="identifiant"
                      required formControlName="identifiantFormControl"  />
                    <mat-error> Identifiant is <strong>required</strong> </mat-error>
                  </mat-form-field>
                  <br />

                  <mat-form-field>
                    <mat-label>Adresse:</mat-label>
                    <input matInput placeholder="l'adresse'" [(ngModel)]="donneur.adresse" name="adresse" required
                      formControlName="adresseFormControl"  />
                    <mat-error> Adresse is <strong>required</strong> </mat-error>
                  </mat-form-field>
                  <br />

                  <mat-form-field>
                    <mat-label>Code postal:</mat-label>
                    <input matInput placeholder="le code postal" [(ngModel)]="donneur.codepostal" name="codepostal"
                      required formControlName="codepostalFormControl"  />
                    <mat-error> Code postal is <strong>required</strong> </mat-error>
                  </mat-form-field>
                  <br />

                  <mat-form-field>
                    <mat-label>Commune:</mat-label>
                    <input matInput placeholder="le commune" [(ngModel)]="donneur.commune" name="commune" required
                      formControlName="communeFormControl"  />
                    <mat-error> Commune is <strong>required</strong> </mat-error>
                  </mat-form-field>
                  <br />
                </div>

                <div class="col-md-4 col-sm-12">
                  <mat-form-field>
                    <mat-label>montant:</mat-label>
                    <input matInput placeholder="le montant" type="number" min="1" [(ngModel)]="donneur.montant"
                      name="montant" required formControlName="montantFormControl"  />
                    <span matSuffix>DT</span>
                    <mat-error> montant is <strong>required</strong> </mat-error>
                    <mat-hint>en Dinars</mat-hint>
                  </mat-form-field>

                  <br />

                  <mat-form-field>
                    <mat-label>Montant en lettre:</mat-label>
                    <input matInput placeholder="le montant en lettre" [(ngModel)]="donneur.montantlettre"
                      name="montantlettre" required formControlName="montantlettreFormControl"
                       />
                    <mat-error> Montant en lettre is <strong>required</strong> </mat-error>
                  </mat-form-field>
                  <br />

                  <mat-form-field floatPlaceholder="always" class="mat-form-field--no-underline">
                    <!-- the matInput with display:none makes the magic. It's ugly, I've warned you -->

                    <input matInput style="display: none;" />

                    <mat-radio-group required [(ngModel)]="donneur.type" name="type" formControlName="typeFormControl">
                      <mat-radio-button value="Remise d’espèces">Remise d’espèces
                      </mat-radio-button>
                      <mat-radio-button value="Chèque">Chèque
                      </mat-radio-button>
                      <mat-radio-button value="Virement, prélèvement, carte bancaire">Virement, prélèvement, carte
                        bancaire
                      </mat-radio-button>
                    </mat-radio-group>
                  </mat-form-field>
                </div>
              </div>
            </div>
            <br />
            <br />
            <div style="margin: 50px auto;display: table;border: solid 2px #cccccc;">
              <h3 style="text-align: center;">Veuillez signer ci-dessous</h3>
              <signature-pad [options]="signaturePadOptions" style="display: table-row;" id="signatureCanvas"
                (onBeginEvent)="clearSig()">
              </signature-pad>
              <button type="button" class="btn btn-sm btn-dark" style="margin: auto;display: block;"
                (click)="signaturePad.clear();clearSig()">Rénitialiser</button>
            </div>

            <button class="btn btn-warning" type="button" (click)="openmodal()" style="margin: auto;display: block;"
               [disabled]="!userForm.valid">Valider le don</button>
            <div id="open-modal" class="modal-window" [hidden]='!show'>
              <div class="overlyer" (click)='show = !show;clearSig()'></div>
              <div>
                <a title="Close" class="modal-close" (click)='show = !show;clearSig()'>Close</a>
                <h2></h2>
                <!-- <div class="modal-body" style="background-color: red;width: 208mm;height: 295mm;"></div> -->
                <div class="modal-body">
                  <div id="contentToConvert" class="container" #contentToConvert>
                    <div class="row">
                      <div class="col-xl-12">
                        <div class="page-head"><img src="../../../assets/img/logo1.png" alt="" width="150px"></div>
                        <div class="page-title">
                          <div class="page-order">
                            <h3 style="color: #ffffff;opacity: .01;">Numéro d’ordre du reçu</h3>
                            <div></div>
                          </div>
                          <div>
                            <h1 style="text-align: center;display: block;">Reçu au titre des dons Numéro d’ordre du reçu
                              à certains organismes d’intérêt général</h1>
                          </div>
                          <div class="page-order">
                            <h3>Numéro d’ordre du reçu</h3>
                            <div></div>
                          </div>
                        </div>
                        <div class="page-content">
                          <p class="page-desc">
                            TrustiT, startup tunisienne au MF 1633733J labélisé Startup Act sous le numéro 10YL1VWZ et
                            partenaire technique, logistique de l’action, atteste avoir reçu de votre part un don
                            (détails en
                            dessous)
                            pour le compte de l’action Sharek et qui bénéficie directement aux universités et écoles
                            auxquelles
                            sont inscris les étudiants et élèves bénéficiaires de l’action.

                            Le don en nature sera traité d’une façon optimisé aux profit des bénéficiaires pour extraire
                            un maximum
                            d’appareils fonctionnels, le reste en pièces et carcasses non utilisé sera traité et recyclé
                            dans le
                            respect
                            des normes environnementales en vigueur.

                            Le don numéraire servira à couvrir les charges logistiques et techniques liés à l’opération
                            de recyclage
                            et sera en contrepartie d’une facture des services effectués et d’une liste détaillé des
                            étudiants/élèves
                            et
                            de l’université/école bénéficiaires de votre don.
                          </p>
                          <h3>Fiche Donateur</h3>
                          <p>universités/ écoles que vous voulez faire bénéficier de votre don en priorité: </p>
                          <p>Nom: {{donneur.nom}}</p>
                          <p>Prénom: {{donneur.prenom}}</p>
                          <p>Email: {{donneur.email}}</p>
                          <p>Raison Sociale: {{donneur.raisonsociale}}</p>
                          <p>Identifiant Unique: {{donneur.identifiant}}</p>
                          <p>Adresse: {{donneur.adresse}}</p>
                          <p>Code Postal: {{donneur.codepostal}}</p>
                          <p>Commune: {{donneur.commune}}</p>
                          <p>Le donateur reconnaît avoir effectué un Don en argent pour couvrir les charges de gestion
                            (recyclage,
                            emballage,
                            logistiques) liés à l’action en
                            contrepartie d’une facture de services effectués pour le compte
                            de l’action citoyenne Sharek au profit d’universités/écoles ayant des étudiants/élèves
                            bénéficiaires.</p>
                          <p>Montant du don: {{donneur.montant}} {{donneur.montantlettre}}</p>
                          <p style="margin-bottom: 20px;">payment par: {{donneur.type}}</p>
                          <p style="float: right;">signeé le {{cd}}</p>
                          <div id="sig" style="float: right;"></div>
                        </div>
                      </div>
                    </div>
                    <button [hidden]="!showConfirmer" style="margin: auto;display: block;" type="submit"
                      (click)="generatePDF()" class="btn btn-warning">
                      Confirmer le don
                    </button>
                  </div>
                </div>

              </div>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</div>


<app-userfooter></app-userfooter>